whoopsie 0.2.71 source package in Ubuntu

Changelog

whoopsie (0.2.71) groovy; urgency=medium

  [ Marc Deslauriers ]
  * SECURITY UPDATE: integer overflow in bson parsing (LP: #1872560)
    - lib/bson/*: updated to latest upstream release.
    - CVE-2020-12135
  * SECURITY UPDATE: resource exhaustion via memory leak (LP: #1881982)
    - src/whoopsie.c, src/tests/test_parse_report.c: properly handle
      GHashTable.
    - CVE-2020-11937
  * SECURITY UPDATE: DoS via large data length (LP: #1882180)
    - src/whoopsie.c, src/whoopsie.h, src/tests/test_parse_report.c: limit
      the size of a report file.
    - CVE-2020-15570

 -- Brian Murray <email address hidden>  Wed, 05 Aug 2020 15:00:45 -0700

Upload details

Uploaded by:
Brian Murray on 2020-08-05
Uploaded to:
Groovy
Original maintainer:
Evan
Architectures:
any
Section:
utils
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
whoopsie_0.2.71.tar.xz 63.6 KiB 14b46f5957e63109b5c0c08f049f3bebd2fe970fcda3f8ca5642e417cf589264
whoopsie_0.2.71.dsc 1.7 KiB bc1e3e3d1f08ff7a38f84771d362d36a9c01bfa5cfc0a6313b5bf82ac7c70456

Available diffs

View changes file

Binary packages built by this source

libwhoopsie-dev: Ubuntu error tracker submission - library development files

 This library provides methods to generate an identifier for use with the
 Ubuntu error tracker

libwhoopsie0: Ubuntu error tracker submission - shared library

 This library provides methods to generate an identifier for use with the
 Ubuntu error tracker

libwhoopsie0-dbgsym: debug symbols for libwhoopsie0
whoopsie: Ubuntu error tracker submission

 This program submits crash reports back to an Ubuntu server.

whoopsie-dbgsym: debug symbols for whoopsie